Package com.enonic.xp.content

## Class FindContentIdsByQueryResult.Builder

- java.lang.Object
- - com.enonic.xp.content.FindContentIdsByQueryResult.Builder

- Enclosing class:
    FindContentIdsByQueryResult

      public static final class FindContentIdsByQueryResult.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FindContentIdsByQueryResult.Builder` | `aggregations​(Aggregations aggregations)` |
    `FindContentIdsByQueryResult` | `build()` |
    `FindContentIdsByQueryResult.Builder` | `contents​(ContentIds contentIds)` |
    `FindContentIdsByQueryResult.Builder` | `highlight​(Map<ContentId,​HighlightedProperties> highlight)` |
    `FindContentIdsByQueryResult.Builder` | `hits​(long hits)` |
    `FindContentIdsByQueryResult.Builder` | `score​(Map<ContentId,​Float> score)` |
    `FindContentIdsByQueryResult.Builder` | `sort​(Map<ContentId,​SortValuesProperty> sort)` |
    `FindContentIdsByQueryResult.Builder` | `totalHits​(long totalHits)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### aggregations

          public FindContentIdsByQueryResult.Builder aggregations​(Aggregations aggregations)

    - #### contents

          public FindContentIdsByQueryResult.Builder contents​(ContentIds contentIds)

    - #### totalHits

          public FindContentIdsByQueryResult.Builder totalHits​(long totalHits)

    - #### hits

          public FindContentIdsByQueryResult.Builder hits​(long hits)

    - #### highlight

          public FindContentIdsByQueryResult.Builder highlight​(Map<ContentId,​HighlightedProperties> highlight)

    - #### sort

          public FindContentIdsByQueryResult.Builder sort​(Map<ContentId,​SortValuesProperty> sort)

    - #### score

          public FindContentIdsByQueryResult.Builder score​(Map<ContentId,​Float> score)

    - #### build

          public FindContentIdsByQueryResult build()